org.apache.nutch.api.impl

## Class NutchServerPoolExecutor

- java.lang.Object
- - java.util.concurrent.AbstractExecutorService
  - - java.util.concurrent.ThreadPoolExecutor
    - - org.apache.nutch.api.impl.NutchServerPoolExecutor

- All Implemented Interfaces:
    Executor, ExecutorService

      public class NutchServerPoolExecutor
      extends ThreadPoolExecutor

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.concurrent.ThreadPoolExecutor

      `ThreadPoolExecutor.AbortPolicy, ThreadPoolExecutor.CallerRunsPolicy, ThreadPoolExecutor.DiscardOldestPolicy, ThreadPoolExecutor.DiscardPolicy`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NutchServerPoolExecutor(int corePoolSize, int maximumPoolSize, long keepAliveTime, TimeUnit unit, BlockingQueue<Runnable> workQueue)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `afterExecute(Runnable runnable, Throwable throwable)`
    `protected void` | `beforeExecute(Thread thread, Runnable runnable)`
    `JobWorker` | `findWorker(String jobId)`
    `Collection<JobInfo>` | `getAllJobs()`
    `JobInfo` | `getInfo(String jobId)`
    `Collection<JobInfo>` | `getJobHistory()`
    `Collection<JobInfo>` | `getJobRunning()`

    - ### Methods inherited from class java.util.concurrent.ThreadPoolExecutor

      `allowCoreThreadTimeOut, allowsCoreThreadTimeOut, awaitTermination, execute, finalize, getActiveCount, getCompletedTaskCount, getCorePoolSize, getKeepAliveTime, getLargestPoolSize, getMaximumPoolSize, getPoolSize, getQueue, getRejectedExecutionHandler, getTaskCount, getThreadFactory, isShutdown, isTerminated, isTerminating, prestartAllCoreThreads, prestartCoreThread, purge, remove, setCorePoolSize, setKeepAliveTime, setMaximumPoolSize, setRejectedExecutionHandler, setThreadFactory, shutdown, shutdownNow, terminated, toString`

    - ### Methods inherited from class java.util.concurrent.AbstractExecutorService

      `invokeAll, invokeAll, invokeAny, invokeAny, newTaskFor, newTaskFor, submit, submit, submit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NutchServerPoolExecutor

          public NutchServerPoolExecutor(int corePoolSize,
                                 int maximumPoolSize,
                                 long keepAliveTime,
                                 TimeUnit unit,
                                 BlockingQueue<Runnable> workQueue)

  - ### Method Detail

    - #### beforeExecute

          protected void beforeExecute(Thread thread,
                           Runnable runnable)

      Overrides:
        `beforeExecute` in class `ThreadPoolExecutor`

    - #### afterExecute

          protected void afterExecute(Runnable runnable,
                          Throwable throwable)

      Overrides:
        `afterExecute` in class `ThreadPoolExecutor`

    - #### findWorker

          public JobWorker findWorker(String jobId)

    - #### getJobHistory

          public Collection<JobInfo> getJobHistory()

    - #### getJobRunning

          public Collection<JobInfo> getJobRunning()

    - #### getAllJobs

          public Collection<JobInfo> getAllJobs()

    - #### getInfo

          public JobInfo getInfo(String jobId)

Copyright © 2015 The Apache Software Foundation